"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = __importDefault(require("child_process"));
const path_1 = __importDefault(require("path"));
const semver_1 = __importDefault(require("semver"));
const helper_1 = require("./helper");
const ESLINT = `.${path_1.default.sep}node_modules${path_1.default.sep}.bin${path_1.default.sep}eslint`;
describe('Integration with legacy config', () => {
    let originalCwd = null;
    beforeEach(() => {
        originalCwd = process.cwd();
        process.chdir(path_1.default.join(__dirname, 'legacy-config'));
        child_process_1.default.execSync('pnpm i -f', { stdio: 'inherit' });
    });
    afterEach(() => {
        originalCwd && process.chdir(originalCwd);
    });
    it('should work with config', () => {
        if (!semver_1.default.satisfies(process.version, (0, helper_1.readPackageJson)(path_1.default.resolve(__dirname, 'legacy-config/node_modules/eslint')).engines.node)) {
            return;
        }
        const result = JSON.parse(child_process_1.default.execSync(`${ESLINT} a.stories.tsx --max-warnings 1 --format=json`, {
            encoding: 'utf-8',
        }));
        expect(result.length).toBe(1);
        expect(result[0].messages[0].messageId).toBe('shouldHaveStoryExport');
    });
});
