"use strict";
/**
 * @fileoverview storiesOf is deprecated and should not be used
 * @author Yann Braga
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
//------------------------------------------------------------------------------
// Requirements
//------------------------------------------------------------------------------
const utils_1 = require("@typescript-eslint/utils");
const no_stories_of_1 = __importDefault(require("../../../lib/rules/no-stories-of"));
const rule_tester_1 = __importDefault(require("../../utils/rule-tester"));
//------------------------------------------------------------------------------
// Tests
//------------------------------------------------------------------------------
rule_tester_1.default.run('no-stories-of', no_stories_of_1.default, {
    valid: [
        `
      import Button from '../components/Button';
      export default {
        title: 'Button',
        component: Button
      }

      export const Primary = () => <Button primary />
    `,
        `
      import Button from '../components/Button';
      export default {
        title: 'Button',
        component: Button
      } as ComponentMeta<typeof Button>

      export const Primary: Story = () => <Button primary />
    `,
    ],
    invalid: [
        {
            code: `
        import { storiesOf } from '@storybook/react';
        import Button from '../components/Button';

        storiesOf('Button', module)
          .add('primary', () => <Button primary />)
      `,
            errors: [
                {
                    messageId: 'doNotUseStoriesOf',
                    type: utils_1.AST_NODE_TYPES.ImportSpecifier,
                },
            ],
        },
    ],
});
