"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRuleTester = void 0;
const rule_tester_1 = require("@typescript-eslint/rule-tester");
const DEFAULT_TEST_CASE_CONFIG = {
    filename: 'MyComponent.stories.js',
};
class StorybookRuleTester extends rule_tester_1.RuleTester {
    run(ruleName, rule, tests) {
        const { valid, invalid } = tests;
        const finalValid = valid.map((testCase) => {
            if (typeof testCase === 'string') {
                return Object.assign(Object.assign({}, DEFAULT_TEST_CASE_CONFIG), { code: testCase });
            }
            return Object.assign(Object.assign({}, DEFAULT_TEST_CASE_CONFIG), testCase);
        });
        const finalInvalid = invalid.map((testCase) => (Object.assign(Object.assign({}, DEFAULT_TEST_CASE_CONFIG), testCase)));
        super.run(ruleName, rule, { valid: finalValid, invalid: finalInvalid });
    }
}
const createRuleTester = () => {
    return new StorybookRuleTester();
};
exports.createRuleTester = createRuleTester;
exports.default = (0, exports.createRuleTester)();
